ck_token_info Struct Reference

`#include <pkcs11.h>`

## Data Fields

unsigned char | label [32]
unsigned char | manufacturer_id [32]
unsigned char | model [16]
unsigned char | serial_number [16]
ck_flags_t | flags
unsigned long | max_session_count
unsigned long | session_count
unsigned long | max_rw_session_count
unsigned long | rw_session_count
unsigned long | max_pin_len
unsigned long | min_pin_len
unsigned long | total_public_memory
unsigned long | free_public_memory
unsigned long | total_private_memory
unsigned long | free_private_memory
struct ck_version | hardware_version
struct ck_version | firmware_version
unsigned char | utc_time [16]

## Detailed Description

Definition at line 229 of file pkcs11.h.

## Field Documentation

## firmware_version

struct ck_version ck_token_info::firmware_version

Definition at line 247 of file pkcs11.h.

## flags

ck_flags_t ck_token_info::flags

Definition at line 235 of file pkcs11.h.

## free_private_memory

unsigned long ck_token_info::free_private_memory

Definition at line 245 of file pkcs11.h.

## free_public_memory

unsigned long ck_token_info::free_public_memory

Definition at line 243 of file pkcs11.h.

## hardware_version

struct ck_version ck_token_info::hardware_version

Definition at line 246 of file pkcs11.h.

## label

unsigned char ck_token_info::label[32]

Definition at line 231 of file pkcs11.h.

Referenced by hsm_print_tokeninfo().

## manufacturer_id

unsigned char ck_token_info::manufacturer_id[32]

Definition at line 232 of file pkcs11.h.

## max_pin_len

unsigned long ck_token_info::max_pin_len

Definition at line 240 of file pkcs11.h.

## max_rw_session_count

unsigned long ck_token_info::max_rw_session_count

Definition at line 238 of file pkcs11.h.

## max_session_count

unsigned long ck_token_info::max_session_count

Definition at line 236 of file pkcs11.h.

## min_pin_len

unsigned long ck_token_info::min_pin_len

Definition at line 241 of file pkcs11.h.

## model

unsigned char ck_token_info::model[16]

Definition at line 233 of file pkcs11.h.

Referenced by hsm_print_tokeninfo().

## rw_session_count

unsigned long ck_token_info::rw_session_count

Definition at line 239 of file pkcs11.h.

## serial_number

unsigned char ck_token_info::serial_number[16]

Definition at line 234 of file pkcs11.h.

## session_count

unsigned long ck_token_info::session_count

Definition at line 237 of file pkcs11.h.

## total_private_memory

unsigned long ck_token_info::total_private_memory

Definition at line 244 of file pkcs11.h.

## total_public_memory

unsigned long ck_token_info::total_public_memory

Definition at line 242 of file pkcs11.h.

## utc_time

unsigned char ck_token_info::utc_time[16]

Definition at line 248 of file pkcs11.h.

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h